[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComboEx' (#lcl)

# TListControlItems.CustomSort

Performs a custom sort using the specified routine.

## Declaration

Source position: comboex.pas line 109

`public procedure TListControlItems.CustomSort(`
`ACompare: TListItemsCompare`
`);`

## Arguments

`ACompare` |  | Routine used to perform the comparison for the items in the collection.

## Description

CustomSort is a procedure used to perform a custom sort for items in the collection using the specified TListItemsCompare routine to implement the comparison. When ACompare is assigned, it is temporarily stored in an internal member and the Sort method is called. No actions are performed in the method when ACompare has not been assigned (contains Nil).

## See also

TListItemsCompare |  | Specifies a function type used to compare items in TComboEx.
TListControlItems.Sort |  | Performs the Sort routine required for the setting in SortType.